### Hierarchy

- IAtomViewModel

## Index

### Methods

- setupWatch

## Methods

### setupWatch

- setupWatch(ft: function, proxy?: function, forValidation?: boolean, name?: string): IDisposable

- - Defined in view-model/baseTypes.ts:4

  #### Parameters

  - ##### ft: function

    - - (): any

      - #### Returns any

  - ##### Optional proxy: function

    - - (): any

      - #### Returns any

  - ##### Optional forValidation: boolean

  - ##### Optional name: string

  #### Returns IDisposable

Generated using TypeDoc